Package org.eclipse.emf.cdo.common.id

# Interface CDOIDProvider

All Known Subinterfaces:
  `InternalCDOTransaction`, `InternalCDOView`, `InternalCDOXATransaction.InternalCDOXACommitContext`, `InternalSession`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface CDOIDProvider
Provides the `IDs` of passed objects.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOIDProvider`
`NOOP`

## Method Summary

Modifier and Type
Method
Description
`CDOID`
`provideCDOID(Object idOrObject)`

## Field Details

### NOOP

static final CDOIDProvider NOOP

Since:
  3.0

## Method Details

### provideCDOID

CDOID provideCDOID(Object idOrObject)